package com.ruoyi.ems.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 能源设施事件对象 adm_ems_facs_event
 *
 * @author ruoyi
 * @date 2024-08-22
 */
public class EmsFacsEvent extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    private Long id;

    /**
     * 设施代码
     */
    @Excel(name = "设施代码")
    private String facsCode;

    /**
     * 事件名称
     */
    @Excel(name = "事件名称")
    private String eventName;

    /**
     * 事件类型
     */
    @Excel(name = "事件类型")
    private Long eventType;

    /**
     * 事件描述
     */
    @Excel(name = "事件描述")
    private String eventDesc;

    /**
     * 事件代码
     */
    @Excel(name = "事件代码")
    private String eventCode;

    /**
     * 外系统事件代码
     */
    @Excel(name = "外系统事件代码")
    private String extEventCode;

    public EmsFacsEvent() {
        super();
    }

    public EmsFacsEvent(String facsCode) {
        super();
        this.facsCode = facsCode;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setFacsCode(String facsCode) {
        this.facsCode = facsCode;
    }

    public String getFacsCode() {
        return facsCode;
    }

    public void setEventName(String eventName) {
        this.eventName = eventName;
    }

    public String getEventName() {
        return eventName;
    }

    public void setEventType(Long eventType) {
        this.eventType = eventType;
    }

    public Long getEventType() {
        return eventType;
    }

    public void setEventDesc(String eventDesc) {
        this.eventDesc = eventDesc;
    }

    public String getEventDesc() {
        return eventDesc;
    }

    public void setEventCode(String eventCode) {
        this.eventCode = eventCode;
    }

    public String getEventCode() {
        return eventCode;
    }

    public void setExtEventCode(String extEventCode) {
        this.extEventCode = extEventCode;
    }

    public String getExtEventCode() {
        return extEventCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId())
            .append("facsCode", getFacsCode()).append("eventName", getEventName()).append("eventType", getEventType())
            .append("eventDesc", getEventDesc()).append("eventCode", getEventCode())
            .append("extEventCode", getExtEventCode()).toString();
    }
}
